import 'package:diplomaticquarterapp/models/Appointments/DoctorProfile.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/uitl/utils_new.dart';
import 'package:flutter/material.dart';

class DoctorInformation extends StatelessWidget {
  DoctorProfileList docProfileList;

  DoctorInformation({@required this.docProfileList});

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.fromLTRB(20.0, 10.0, 20.0, 10.0),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: <Widget>[
          Container(
            width: double.infinity,
            child: Container(
              decoration: cardRadius(12),
              child: Padding(
                padding: EdgeInsets.all(16),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Text(
                      TranslationBase.of(context).docInfo,
                      style: TextStyle(
                        fontSize: 16.0,
                        letterSpacing: -0.64,
                        fontWeight: FontWeight.w600,
                      ),
                    ),
                    mHeight(10),
                    Row(
                      children: [
                        Text(
                          TranslationBase.of(context).gender + ":",
                          style: TextStyle(
                            fontSize: 10,
                            letterSpacing: -0.4,
                            color: Color(0xFF575757),
                            fontWeight: FontWeight.w600,
                          ),
                        ),
                        mWidth(2),
                        Text(
                          docProfileList.genderDescription,
                          style: TextStyle(
                            fontSize: 12,
                            letterSpacing: -0.48,
                            color: Color(0xFF575757),
                            fontWeight: FontWeight.w600,
                          ),
                        ),
                      ],
                    ),
                    Row(
                      children: [
                        Text(
                          TranslationBase.of(context).nationality + ":",
                          style: TextStyle(
                            fontSize: 10,
                            letterSpacing: -0.4,
                            color: Color(0xFF575757),
                            fontWeight: FontWeight.w600,
                          ),
                        ),
                        mWidth(2),
                        Text(
                          docProfileList.nationalityName,
                          style: TextStyle(
                            fontSize: 12,
                            letterSpacing: -0.48,
                            color: Color(0xFF575757),
                            fontWeight: FontWeight.w600,
                          ),
                        ),
                      ],
                    ),
                  ],
                ),
              ),
            ),
          ),
          mHeight(8),
          Container(
            width: double.infinity,
            child: Container(
              decoration: cardRadius(12),
              child: Padding(
                padding: EdgeInsets.all(16),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Text(
                      TranslationBase.of(context).docQualifications,
                      style: TextStyle(
                        fontSize: 16.0,
                        letterSpacing: -0.64,
                        fontWeight: FontWeight.w600,
                      ),
                    ),
                    mHeight(10),
                    Text(
                      docProfileList.doctorProfileInfo,
                      style: TextStyle(
                        fontSize: 12,
                        letterSpacing: -0.48,
                        color: Color(0xFF575757),
                        fontWeight: FontWeight.w600,
                      ),
                    ),
                  ],
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
